Read Workers
curl --request POST \
--url https://api.example.com/work_pools/{work_pool_name}/workers/filter \
--header 'Content-Type: application/json' \
--data '
{
"workers": {
"operator": "and_",
"last_heartbeat_time": {
"before_": "2023-11-07T05:31:56Z",
"after_": "2023-11-07T05:31:56Z"
},
"status": {
"any_": [],
"not_any_": []
}
},
"offset": 0,
"limit": 123
}
'import requests
url = "https://api.example.com/work_pools/{work_pool_name}/workers/filter"
payload = {
"workers": {
"operator": "and_",
"last_heartbeat_time": {
"before_": "2023-11-07T05:31:56Z",
"after_": "2023-11-07T05:31:56Z"
},
"status": {
"any_": [],
"not_any_": []
}
},
"offset": 0,
"limit": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
workers: {
operator: 'and_',
last_heartbeat_time: {before_: '2023-11-07T05:31:56Z', after_: '2023-11-07T05:31:56Z'},
status: {any_: [], not_any_: []}
},
offset: 0,
limit: 123
})
};
fetch('https://api.example.com/work_pools/{work_pool_name}/workers/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"work_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_heartbeat_time": "2023-11-07T05:31:56Z",
"heartbeat_interval_seconds": 123,
"status": "OFFLINE"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Work Pools
Read Workers
Read all worker processes
POST
/
work_pools
/
{work_pool_name}
/
workers
/
filter
Read Workers
Headers
Path Parameters
The work pool name
Body
application/json
Response
Successful Response
The name of the worker.
The work pool with which the queue is associated.
The last time the worker process sent a heartbeat.
The number of seconds to expect between heartbeats sent by the worker.
Current status of the worker.
Available options:
ONLINE, OFFLINE Was this page helpful?
⌘I